summaryrefslogtreecommitdiff
path: root/.tools/testxml.sh
diff options
context:
space:
mode:
authorSaulc <lucas@debian>2018-01-13 19:41:26 +0100
committerSaulc <lucas@debian>2018-01-13 19:41:26 +0100
commit4c4f4be30bae96e6cd943de326b1a4b1b841dcd4 (patch)
treea94e0a063e5df2a9f7f84f720982a3bca0c0cf6d /.tools/testxml.sh
downloadclientdata-4c4f4be30bae96e6cd943de326b1a4b1b841dcd4.tar.gz
clientdata-4c4f4be30bae96e6cd943de326b1a4b1b841dcd4.tar.bz2
clientdata-4c4f4be30bae96e6cd943de326b1a4b1b841dcd4.tar.xz
clientdata-4c4f4be30bae96e6cd943de326b1a4b1b841dcd4.zip
Initial commit
Diffstat (limited to '.tools/testxml.sh')
-rwxr-xr-x.tools/testxml.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/.tools/testxml.sh b/.tools/testxml.sh
new file mode 100755
index 00000000..eb0cd412
--- /dev/null
+++ b/.tools/testxml.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+source ./.tools/init.sh
+
+clientdata_init
+
+aptget_update
+aptget_install git-core zip gcc zlib1g-dev ca-certificates libxml2-utils python python-pyvorbis python-ogg python-pil
+rm -rf tools
+gitclone https://gitlab.com/evol evol-tools.git tools
+
+cd tools/testxml
+
+./xsdcheck.sh
+check_error $?
+export RES=$(cat errors.txt)
+if [[ -n "${RES}" ]]; then
+ echo "xml check failed" >../../clientdata/shared/error.log
+ echo ${RES} >>../../clientdata/shared/error.log
+ cat ../../clientdata/shared/error.log
+ exit 1
+fi
+
+echo >../../clientdata/shared/error.log
+./testxml.py silent >../../clientdata/shared/error.log
+res="$?"
+cat ../../clientdata/shared/error.log
+if [ "$res" != 0 ]; then
+ echo "test xml error"
+ exit 1
+fi
+
+echo >../../clientdata/shared/error.log